Preview a template project workspace
Builds the template entry from the current effective workspace tree, including unsaved file patches, without creating a Git commit.
Builds the template entry from the current effective workspace tree, including unsaved file patches, without creating a Git commit.
Authorization
apiKey In: header
Path Parameters
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/preview" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string" }'{ "projectId": "string", "revision": "string", "entryPath": "string", "buildIdentity": "string", "compileOptionsDigest": "string", "lockfileDigest": "string", "themeDigest": "string", "compilerVersion": "string", "source": { "digest": "string", "content": "string" }, "outlookHtml": { "digest": "string", "content": "string" }, "modernHtml": { "digest": "string", "content": "string" }, "text": { "digest": "string", "content": "string" }, "assets": [ { "url": "string", "digest": "string", "contentType": "font/woff2" } ], "subjectText": "string", "previewText": "string", "sourceLocations": { "kind": "available", "revision": "string", "byNodeId": { "property1": { "fileName": "string", "lineNumber": 1, "columnNumber": 1 }, "property2": { "fileName": "string", "lineNumber": 1, "columnNumber": 1 } } }, "warnings": [ "string" ], "incompatibilities": [ "string" ]}Patch template project files
Applies revision-checked file patches to the shared project workspace overlay. Use this endpoint to patch template project files through the Samva email API.
Publish an exact template commit
Builds an exact Git commit and entry path, records its immutable artifacts, and makes that publication current.